Name:           wafw00f
Version:        1.0.0
Release:        3%{?dist}
Summary:        A tool to identifies and fingerprints Web Application Firewall (WAF)

License:        BSD
URL:            https://github.com/sandrogauci/wafw00f
Source0:        https://github.com/sandrogauci/wafw00f/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Was fixed upstream but not released: https://github.com/EnableSecurity/wafw00f/pull/72
Patch0:         %{name}-%{version}-pinning.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-httpretty
BuildRequires:  python3-nose
BuildRequires:  python3-coveralls
BuildRequires:  python3-coverage
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python3-pluginbase
BuildRequires:  python3-html5lib

%description
WAFW00F identifies and fingerprints Web Application Firewall (WAF) products.

%prep
%autosetup -n %{name}-%{version}
sed -i -e '/^#!\//, 1d' {wafw00f/*.py,wafw00f/*/*.py}

%build
%py3_build

%install
%py3_install

#%check
#%{__python3} setup.py test

%files
%doc CREDITS.txt README.md
%license LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/%{name}-*.egg-info/
%{python3_sitelib}/%{name}/

%changelog
* Mon Oct 07 2019 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-3
- Add patch to remove release pinning

* Wed Sep 11 2019 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-2
- Remane BRs

* Sun May 05 2019 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-1
- Fix files section and add tests
- Update to latest upstream release 1.0.0

* Thu Apr 11 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.6-1
- Update to latest upstream release 0.9.6

* Mon Nov 14 2016 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.4-1
- Update to latest upstream release 0.9.4

* Sun Oct 12 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.1-1
- Initial package for Fedora
